# frozen_string_literal: true

module BlobLanguageFromGitAttributes
  extend ActiveSupport::Concern

  def language_from_gitattributes
    return unless repository&.exists?

    if repository.hg_fully_native? && !repository.hg_with_git?
      Gitlab::AppLogger.warn("diverted language_from_git_attributes(), "\
                             "as Mercurial projects don't have attributes yet, see heptapod#437")
      return
    end

    repository.gitattribute(path, 'gitlab-language')
  end
end
