# frozen_string_literal: true

module HgNativeMigrable
  extend ActiveSupport::Concern

  attr_accessor :hg_native_migrating

  # about the cop, see how the accessor does not trigger it
  # (see also the Importing module where similar accessor is defined)
  # This form guarantees to return a boolean, which is safer to use
  # rubocop: disable Gitlab/ModuleWithInstanceVariables
  def hg_native_migrating?
    instance_variable_defined?(:@hg_native_migrating) && @hg_native_migrating
  end
  # rubocop: enable Gitlab/ModuleWithInstanceVariables
end
