# frozen_string_literal: true

module Projects
  # The CleanupService removes data from the project repository following a
  # BFG rewrite: https://rtyley.github.io/bfg-repo-cleaner/
  #
  # Before executing this service, all refs rewritten by BFG should have been
  # pushed to the repository
  class MercurialMigrateNativeService < BaseService
    def initialize(user, project)
      @user = user
      @project = project
    end

    def execute
      Projects::MercurialMigrateNativeWorker.perform_async(@user.id, @project.id)
    end
  end
end
