# frozen_string_literal: true

module Projects
  class MercurialMigrateNativeWorker
    include ApplicationWorker

    feature_category :source_code_management

    # quoting WorkerAttributes doc-comment:
    #  'always' - The job is required to use the primary database (default).
    data_consistency :always
    sidekiq_options retry: 0
    idempotent!

    def perform(user_id, project_id)
      user = User.find_by_id(user_id)
      project = Project.find_by_id(project_id)

      # does nothing if migration is already running
      Heptapod::NativeMercurial::Migrator.new(project, user).migrate!
    end
  end
end
