# frozen_string_literal: true

class CreateHeptapodNativeMigrationLogs < Gitlab::Database::Migration[2.0]
  # gracinet: needed because of foreign keys
  enable_lock_retries!

  def change
    create_table :heptapod_native_migration_logs do |t|
      t.references :project, null: false, foreign_key: { on_delete: :cascade }
      t.timestamps_with_timezone null: false
      t.text :state, null: false, index: true # rubocop:disable Migration/AddLimitToTextColumns (usual irrelevant directive for PG)
      t.boolean :rollbackable, null: false
      # will be 10^4 * major + 100 * minor + patch, default index type (btree)
      # is fine for the inequality where clauses that will be useful
      # to decide which migrations to replay.
      t.integer :heptapod_version, index: true, null: false
    end
  end
end
