# frozen_string_literal: true

module API
  class HeptapodVersion < ::API::Base
    include APIGuard

    allow_access_with_scope :read_user, if: -> (request) { request.get? || request.head? }

    before { authenticate! }

    feature_category :not_owned  # rubocop:disable Gitlab/AvoidFeatureCategoryNotOwned (we'll make a Heptapod one)

    desc 'Get the Heptapod-specific version information of the Heptapod instance.'
    get '/heptapod_version' do
      {
        heptapod: Gitlab::HEPTAPOD_VERSION,
        mercurial: Gitlab.python_versions['mercurial'],
        python: Gitlab.python_versions['python'],
        evolve: Gitlab.python_versions['evolve']
      }
    end
  end
end
