# frozen_string_literal: true

# Class is used while we're migrating from master to main
module Gitlab
  module DefaultBranch
    def self.value(object: nil)
      # object can be nil in RSpec tests, especially if this method return is
      # used as reference. Actual running cases include Project and Group.
      if object.respond_to?(:mercurial?) && object.mercurial?
        'branch/default'
      else
        Feature.enabled?(:main_branch_over_master, object) ? 'main' : 'master'
      end
    end
  end
end
