# frozen_string_literal: true

module Gitlab
  module Vcs
    MERCURIAL_VCS_TYPES = %w[hg hg_git].freeze

    REPOSITORY_CLASSES = {
      "hg_git" => Gitlab::Mercurial::HgGitRepository,
      "hg" => Gitlab::Mercurial::HgitalyRepository,
      "git" => Gitlab::Git::Repository
    }.freeze

    SUPPORTED_TYPES = REPOSITORY_CLASSES.keys.freeze

    DEFAULT_TYPE = "hg"

    class << self
      def repository_class(vcs_type)
        REPOSITORY_CLASSES.fetch(vcs_type.to_s)
      end
    end
  end
end
