# frozen_string_literal: true

module Gitlab
  module Page
    module Admin
      module Dashboard
        # @note Defined as +h2 :users_in_license+
        # @return [String] The text content or value of +users_in_license+
        def users_in_license
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Dashboard.perform do |dashboard|
        #     expect(dashboard.users_in_license_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def users_in_license_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Dashboard.perform do |dashboard|
        #     expect(dashboard).to be_users_in_license
        #   end
        # @return [Boolean] true if the +users_in_license+ element is present on the page
        def users_in_license?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :billable_users+
        # @return [String] The text content or value of +billable_users+
        def billable_users
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Dashboard.perform do |dashboard|
        #     expect(dashboard.billable_users_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def billable_users_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Dashboard.perform do |dashboard|
        #     expect(dashboard).to be_billable_users
        #   end
        # @return [Boolean] true if the +billable_users+ element is present on the page
        def billable_users?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h3 :number_of_users+
        # @return [String] The text content or value of +number_of_users+
        def number_of_users
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Dashboard.perform do |dashboard|
        #     expect(dashboard.number_of_users_element).to exist
        #   end
        # @return [Watir::H3] The raw +H3+ element
        def number_of_users_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Dashboard.perform do |dashboard|
        #     expect(dashboard).to be_number_of_users
        #   end
        # @return [Boolean] true if the +number_of_users+ element is present on the page
        def number_of_users?
          # This is a stub, used for indexing. The method is dynamically generated.
        end
      end
    end
  end
end
