# frozen_string_literal: true

module Gitlab
  module Page
    module Admin
      module Subscription
        # @note Defined as +h6 :subscription_details+
        # @return [String] The text content or value of +subscription_details+
        def subscription_details
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.subscription_details_element).to exist
        #   end
        # @return [Watir::H6] The raw +H6+ element
        def subscription_details_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_subscription_details
        #   end
        # @return [Boolean] true if the +subscription_details+ element is present on the page
        def subscription_details?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +text_field :activation_code+
        # @return [String] The text content or value of +activation_code+
        def activation_code
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # Set the value of activation_code
        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     subscription.activation_code = 'value'
        #   end
        # @param value [String] The value to set.
        def activation_code=(value)
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.activation_code_element).to exist
        #   end
        # @return [Watir::TextField] The raw +TextField+ element
        def activation_code_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_activation_code
        #   end
        # @return [Boolean] true if the +activation_code+ element is present on the page
        def activation_code?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +label :terms_of_services+
        # @return [String] The text content or value of +terms_of_services+
        def terms_of_services
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.terms_of_services_element).to exist
        #   end
        # @return [Watir::Label] The raw +Label+ element
        def terms_of_services_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_terms_of_services
        #   end
        # @return [Boolean] true if the +terms_of_services+ element is present on the page
        def terms_of_services?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +button :activate+
        # Clicks +activate+
        def activate
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.activate_element).to exist
        #   end
        # @return [Watir::Button] The raw +Button+ element
        def activate_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_activate
        #   end
        # @return [Boolean] true if the +activate+ element is present on the page
        def activate?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :plan+
        # @return [String] The text content or value of +plan+
        def plan
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.plan_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def plan_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_plan
        #   end
        # @return [Boolean] true if the +plan+ element is present on the page
        def plan?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :started+
        # @return [String] The text content or value of +started+
        def started
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.started_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def started_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_started
        #   end
        # @return [Boolean] true if the +started+ element is present on the page
        def started?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :name+
        # @return [String] The text content or value of +name+
        def name
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.name_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def name_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_name
        #   end
        # @return [Boolean] true if the +name+ element is present on the page
        def name?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :company+
        # @return [String] The text content or value of +company+
        def company
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.company_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def company_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_company
        #   end
        # @return [Boolean] true if the +company+ element is present on the page
        def company?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :email+
        # @return [String] The text content or value of +email+
        def email
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.email_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def email_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_email
        #   end
        # @return [Boolean] true if the +email+ element is present on the page
        def email?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :billable_users+
        # @return [String] The text content or value of +billable_users+
        def billable_users
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.billable_users_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def billable_users_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_billable_users
        #   end
        # @return [Boolean] true if the +billable_users+ element is present on the page
        def billable_users?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :maximum_users+
        # @return [String] The text content or value of +maximum_users+
        def maximum_users
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.maximum_users_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def maximum_users_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_maximum_users
        #   end
        # @return [Boolean] true if the +maximum_users+ element is present on the page
        def maximum_users?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :users_in_subscription+
        # @return [String] The text content or value of +users_in_subscription+
        def users_in_subscription
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.users_in_subscription_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def users_in_subscription_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_users_in_subscription
        #   end
        # @return [Boolean] true if the +users_in_subscription+ element is present on the page
        def users_in_subscription?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :users_over_subscription+
        # @return [String] The text content or value of +users_over_subscription+
        def users_over_subscription
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.users_over_subscription_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def users_over_subscription_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_users_over_subscription
        #   end
        # @return [Boolean] true if the +users_over_subscription+ element is present on the page
        def users_over_subscription?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +table :subscription_history+
        # @return [String] The text content or value of +subscription_history+
        def subscription_history
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.subscription_history_element).to exist
        #   end
        # @return [Watir::Table] The raw +Table+ element
        def subscription_history_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_subscription_history
        #   end
        # @return [Boolean] true if the +subscription_history+ element is present on the page
        def subscription_history?
          # This is a stub, used for indexing. The method is dynamically generated.
        end
      end
    end
  end
end
