# frozen_string_literal: true

module Gitlab
  module Page
    module Group
      module Settings
        module Billing
          # @note Defined as +h4 :billing_plan_header+
          # @return [String] The text content or value of +billing_plan_header+
          def billing_plan_header
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.billing_plan_header_element).to exist
          #   end
          # @return [Watir::H4] The raw +H4+ element
          def billing_plan_header_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_billing_plan_header
          #   end
          # @return [Boolean] true if the +billing_plan_header+ element is present on the page
          def billing_plan_header?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +link :start_your_free_trial+
          # Clicks +start_your_free_trial+
          def start_your_free_trial
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.start_your_free_trial_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def start_your_free_trial_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_start_your_free_trial
          #   end
          # @return [Boolean] true if the +start_your_free_trial+ element is present on the page
          def start_your_free_trial?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +link :upgrade_to_premium+
          # Clicks +upgrade_to_premium+
          def upgrade_to_premium
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.upgrade_to_premium_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def upgrade_to_premium_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_upgrade_to_premium
          #   end
          # @return [Boolean] true if the +upgrade_to_premium+ element is present on the page
          def upgrade_to_premium?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +link :upgrade_to_ultimate+
          # Clicks +upgrade_to_ultimate+
          def upgrade_to_ultimate
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.upgrade_to_ultimate_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def upgrade_to_ultimate_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_upgrade_to_ultimate
          #   end
          # @return [Boolean] true if the +upgrade_to_ultimate+ element is present on the page
          def upgrade_to_ultimate?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +strong :subscription_header+
          # @return [String] The text content or value of +subscription_header+
          def subscription_header
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.subscription_header_element).to exist
          #   end
          # @return [Watir::Strong] The raw +Strong+ element
          def subscription_header_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_subscription_header
          #   end
          # @return [Boolean] true if the +subscription_header+ element is present on the page
          def subscription_header?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +button :refresh_seats+
          # Clicks +refresh_seats+
          def refresh_seats
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.refresh_seats_element).to exist
          #   end
          # @return [Watir::Button] The raw +Button+ element
          def refresh_seats_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_refresh_seats
          #   end
          # @return [Boolean] true if the +refresh_seats+ element is present on the page
          def refresh_seats?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +p :seats_in_subscription+
          # @return [String] The text content or value of +seats_in_subscription+
          def seats_in_subscription
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.seats_in_subscription_element).to exist
          #   end
          # @return [Watir::P] The raw +P+ element
          def seats_in_subscription_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_seats_in_subscription
          #   end
          # @return [Boolean] true if the +seats_in_subscription+ element is present on the page
          def seats_in_subscription?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +p :seats_currently_in_use+
          # @return [String] The text content or value of +seats_currently_in_use+
          def seats_currently_in_use
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.seats_currently_in_use_element).to exist
          #   end
          # @return [Watir::P] The raw +P+ element
          def seats_currently_in_use_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_seats_currently_in_use
          #   end
          # @return [Boolean] true if the +seats_currently_in_use+ element is present on the page
          def seats_currently_in_use?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +link :see_seats_usage+
          # Clicks +see_seats_usage+
          def see_seats_usage
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.see_seats_usage_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def see_seats_usage_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_see_seats_usage
          #   end
          # @return [Boolean] true if the +see_seats_usage+ element is present on the page
          def see_seats_usage?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +p :max_seats_used+
          # @return [String] The text content or value of +max_seats_used+
          def max_seats_used
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.max_seats_used_element).to exist
          #   end
          # @return [Watir::P] The raw +P+ element
          def max_seats_used_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_max_seats_used
          #   end
          # @return [Boolean] true if the +max_seats_used+ element is present on the page
          def max_seats_used?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +p :seats_owed+
          # @return [String] The text content or value of +seats_owed+
          def seats_owed
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.seats_owed_element).to exist
          #   end
          # @return [Watir::P] The raw +P+ element
          def seats_owed_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_seats_owed
          #   end
          # @return [Boolean] true if the +seats_owed+ element is present on the page
          def seats_owed?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +p :subscription_start_date+
          # @return [String] The text content or value of +subscription_start_date+
          def subscription_start_date
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.subscription_start_date_element).to exist
          #   end
          # @return [Watir::P] The raw +P+ element
          def subscription_start_date_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_subscription_start_date
          #   end
          # @return [Boolean] true if the +subscription_start_date+ element is present on the page
          def subscription_start_date?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +p :subscription_end_date+
          # @return [String] The text content or value of +subscription_end_date+
          def subscription_end_date
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing.subscription_end_date_element).to exist
          #   end
          # @return [Watir::P] The raw +P+ element
          def subscription_end_date_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::Billing.perform do |billing|
          #     expect(billing).to be_subscription_end_date
          #   end
          # @return [Boolean] true if the +subscription_end_date+ element is present on the page
          def subscription_end_date?
            # This is a stub, used for indexing. The method is dynamically generated.
          end
        end
      end
    end
  end
end
